<?php

namespace App\Http\Requests\Pricing;

use Illuminate\Foundation\Http\FormRequest;

class PriceCostRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'item_type_code' => 'required|string|in:PRODUCT,MATERIAL',
            'item_id' => 'required|integer',
            'date' => 'nullable|date',
        ];
    }
}
